<?php

$default_tpl = "page";

$tpl = $cms["config"]["template.mod.php"]["template"];

// Translate
$cms["lang"][$tpl]["ru_RU.UTF-8"] = array(
    "Header"    => "Верхнее",
    "Footer"    => "Нижнее",
    "Side"      => "Боковое",
    "Title"     => "Заголовок",
    "Paragraph" => "Параграф",
    "Blog"      => "Блог",
    "Frontpage" => "Главная",
    "Page"      => "Страница",
    "Post"      => "Запись блога",
);

$cms["lang"][$tpl]["uk_UA.UTF-8"] = array(
    "Header"    => "Верхнє",
    "Footer"    => "Нижнє",
    "Side"      => "Бічнє",
    "Title"     => "Заголовок",
    "Paragraph" => "Параграф",
    "Blog"      => "Блог",
    "Frontpage" => "Головна",
    "Page"      => "Сторінка",
    "Post"      => "Запис блогу",
);

if ( $tpl === "mini" ) {
    $cms["lang"][$tpl]["en_US.UTF-8"]["help"] = "<p>By changing the \"mini\" template files you will not be able to update the CMS. If you want to update, copy the .cms/mini folder, switch to the template copy and edit the files.</p>";
    $cms["lang"][$tpl]["ru_RU.UTF-8"]["help"] = "<p>Изменив файлы шаблона mini вы не сможете обновить CMS. Если хотите обновляться, скопируйте папку .cms/mini, переключитесь на копию шаблона и редактируйте файлы.</p>";
    $cms["lang"][$tpl]["uk_UA.UTF-8"]["help"] = "<p>Змінивши файли шаблону mini, ви не зможете оновити CMS. Якщо хочете оновлюватися, скопіюйте папку .cms/mini, перейдіть на копію шаблону та редагуйте файли.</p>";
}

// Areas
$cms["menu_areas"]["header"]   = array( "title" => __( "Header",   $tpl ) );
$cms["menu_areas"]["footer"]   = array( "title" => __( "Footer",   $tpl ) );
$cms["menu_areas"]["side"]     = array( "title" => __( "Side",     $tpl ) );


// Editable theme files
$cms["templates"][$tpl]["files"] = array(
    ".cms/{$tpl}/styles.css",
    ".cms/{$tpl}/html.php",
    ".cms/{$tpl}/page.php",
    ".cms/{$tpl}/post.php",
    ".cms/{$tpl}/blog.php",
    ".cms/{$tpl}/frontpage.php",
    ".cms/{$tpl}/page.teaser.php",
    ".cms/{$tpl}/404.en_US.UTF-8.php",
    ".cms/{$tpl}/404.ru_RU.UTF-8.php",
    ".cms/{$tpl}/404.uk_UA.UTF-8.php",
    ".cms/{$tpl}/instruction.ru_RU.UTF-8.html",
);




$title = __( "Title",     $tpl );
$text  = __( "Paragraph", $tpl );

$cms["templates"][$tpl]["page_templates"]["page"] = <<<EOP
<h1>{$title}</h1>

<p>{$text}</p>
EOP;

$cms["templates"][$tpl]["page_templates"]["post"] = <<<EOP
<h1>{$title}</h1>

<!--preview-start-->

<p>{$text}</p>

<p>{$text}</p>

<!--preview-end-->

<p>{$text}</p>

<p>{$text}</p>

<p>{$text}</p>

<p>{$text}</p>
EOP;

// Перевод для имен шаблонов
$cms["lang"]["pages.mod.php"]["ru_RU.UTF-8"]["test"] = "Тест";

hook_add_fn( "clear_cache", "template_mini_clear_cache" );

// Clear Blog pages
if ( ! function_exists( "template_mini_clear_cache" ) ) {
    function template_mini_clear_cache() {
        global $cms;

        if ( empty( $cms["base"] ) ) { return ""; } // fix php 8.0
        
        $q = "SELECT * FROM pages WHERE tpl = 'blog'";
        if ( $res1 = mysqli_query( $cms["base"], $q ) ) {
            
            while ( $blog = mysqli_fetch_assoc( $res1 ) ) {

                $q = "SELECT url FROM pages WHERE tpl != 'blog'";
                if ( $res2 = mysqli_query( $cms["base"], $q ) ) {

                    $pager = 0;
                    $pcount = 0;

                    while ( $page = mysqli_fetch_assoc( $res2 ) ) {

                        if ( $pcount < 12 ) {

                            $pcount++;
        
                        } elseif ( $pager == 0 ) {
        
                            $pager++;
                            $pcount = 1;
        
                        } else {
        
                            $file = "{$cms['site_dir']}/{$blog['url']}{$pager}";
                            if ( is_file( $file ) ) {
                                unlink( $file );
                            }
                            $pager++;
                            $pcount = 1;
        
                        }

                    }

                    if ( $pager == 0 ) {

                    } else {
            
                        $file = "{$cms['site_dir']}/{$blog['url']}{$pager}";
                        if ( is_file( $file ) ) {
                            unlink( $file );
                        }
            
                    }
                }

            }

        }

    }
}